# This file was generated by local-unbound-setup.
# Eletrônica Rio Do Salto
# Modifications will be overwritten.
server:
    port:  53
	username: unbound
	directory: /var/unbound
	chroot: /var/unbound
        use-syslog: yes
        logfile: /var/unbound/unbound.log
	pidfile: /var/run/local_unbound.pid
            module-config: "validator iterator"
            root-hints: /var/unbound/named.cache
	auto-trust-anchor-file: /var/unbound/root.key
        hide-identity: yes
        hide-version: yes

interface: 127.0.0.1
interface: 10.5.200.6
access-control: 0.0.0.0/0 refuse
access-control: 100.64.0.0/16 allow
access-control: 127.0.0.0/8 allow
access-control: 10.0.0.0/8 allow
access-control: 172.168.0.0/16 allow

         do-ip6: yes
         do-ip4: yes
         do-tcp: yes
         do-udp: yes
         do-daemonize: yes
         verbosity: 1
         msg-cache-slabs: 2
         rrset-cache-slabs: 2
         infra-cache-slabs: 2
         key-cache-slabs: 2

# mais cache em memoria
         rrset-cache-size: 100m
         msg-cache-size: 50m

#
# Eventuais problemas de fragmentation de pacotes
         edns-buffer-size: 1480
#

local-data:"localhost A 127.0.0.1"
local-data-ptr:"127.0.0.1 localhost"
local-data:"www.facebook.com.br. A 31.13.85.8"
local-data-ptr:"31.13.85.8 www.facebook.com.br."
local-data:"facebook.com. A 31.13.85.8"
local-data-ptr:"31.13.85.8 facebook.com."
local-data:"www.facebook.com. A 31.13.85.8"
local-data-ptr:"31.13.85.8 www.facebook.com."

#Exemplo de como definir uma zona
#local-zone:"hddrive.com.br." static
#local-data:"mail.dhdrive.com.br. 10800 IN A 201.150.144.12"
#local-data:"mail.hddrive.com.br. 10800 IN A 201.150.144.13"
#
#
#include: /var/unbound/forward.conf
include: /var/unbound/control.conf

# Exemplo de como ativar o unbound-control
  remote-control:
         control-enable: yes